ActivateToken

Used to activate a token for a digitization that has been approved and provisioned, but requires additional cardholder authentication prior to activation. It is expected that a cardholder will complete the authentication process using an issuer’s call center or using an issuer-supplied mobile application, and only then should the issuer use this API to activate the token.

Request Path Parameters

ParametertypeLimitsrequiredDescription
terminalIDString10 characters✓The Paymentology issued terminal id of the terminal requesting the transaction
referenceString1-255 characters✓Customer reference linked with this card
cardIdentifierString1-20 characters✓The card number, sequence number or tracking number of the specified card
tokenUniqueReferenceString48 characters✓The unique reference of the token to be activated
activationCodeString✓required when card scheme is VISA (empty string otherwise)
reasonCodeString✓Reason for the activation. Valid values:; “A” = Cardholder successfully authenticated prior to activation; “C” = Cardholder successfully authenticated with a customer service agent prior to activation
commentString1-500 characters✓Description of the activation or empty string
transactionIDString1-255 characters✓a unique identifier generated by the client, which must not be duplicated over time.
transactionDateDate✓Transaction date generated by the calling client
checksumString✓HMAC-SHA256 hashed signature of the concatenated method name with all argument values using the terminal password as private key
<?xml version="1.0" encoding="UTF-8"?>
<methodCall>
  <methodName>ActivateToken</methodName>
  <params>
    <param>
      <value>
        <string>0006125612</string>
      </value>
    </param>
    <param>
      <value>
        <string>testReference123</string>
      </value>
    </param>
    <param>
      <value>
        <string>767765300000071</string>
      </value>
    </param>
    <param>
      <value>
        <string>DWSPMC00000000010906a349d9ca4eb1a4d53e3c90a11d9c</string>
      </value>
    </param>
    <param>
      <value>
        <string>123456</string>
      </value>
    </param>
    <param>
      <value>
        <string>A</string>
      </value>
    </param>
    <param>
      <value>
        <string>Cardholder authenticated sucessfully</string>
      </value>
    </param>
    <param>
      <value>
        <string>fb8344c9-2fc9-467b-87e4-55eaf88d06f2</string>
      </value>
    </param>
    <param>
      <value>
        <dateTime.iso8601>20200101T09:00:00</dateTime.iso8601>
      </value>
    </param>
    <param>
      <value>
        <string>36a5ca8e88f7ee0a05ee5c7654693b204883e662</string>
      </value>
    </param>
  </params>
</methodCall>

Response Parameters

FieldtypeDescription
resultCodeIntegerStatus code indicating transaction result
resultTextStringText used to accompany the resultCode and provide further detail of the transaction result.
<?xml version="1.0" encoding="UTF-8"?>
<methodResponse>
    <params>
        <param>
            <value>
                <struct>
                    <member>
                        <name>resultCode</name>
                        <value>
                            <int>1</int>
                        </value>
                    </member>
                    <member>
                        <name>resultText</name>
                        <value>
                            <string>Approved</string>
                        </value>
                    </member>
                </struct>
            </value>
        </param>
    </params>
</methodResponse>